import java.util.Iterator;

public interface WordList {
	// Insert a word
	void insert(String word);
	// Remove a word
	void remove(String word);
	// Get frequency of word
	int getFrequency(String word);
	// Number of different words
	int nOfDifferentWords();
	// Mean frequency of equal words
	double meanWordCount();
	// Get all words with specified frequency
	String[] getWords(int frequency);
	// Get all words starting with the specified prefix
	String[] getWordsStartingWith(String prefix);
	void print();
	// Creates a shadow copy
	WordList clone();
	// Merges two lists
	void merge(WordList list);
	// Get an iterator
	Iterator iterator();	
}

